<template>
    <div class="comment__con">
        <p class="comment__title">{{ comment.title }}</p>
        <p class="comment__text">{{ comment.text }}</p>
        <button @click="deleteComment(comment.id)" class="comment__button">Удалить</button>
    </div>
</template>

<script>
import {mapActions} from 'vuex'
export default {
    props: {
        comment: {
            type: Object,
            required: true
        },
    },
    methods: {
        ...mapActions({
            deleteComment: 'comments/DELETE_COMMENT',
        }),
    }   
}
</script>

<style scoped>
.comment__con {
    border: 1px solid #000;
    border-radius: 5px;
    padding: 7px 7px 7px 7px;
    margin-top: 10px;
}
.comment__title {
    margin-bottom: 10px;
}
.comment__text {
    font-size: 18px;
}
.comment__button {
    font-size: 16px;
    color: red;
    margin-top: 10px;
    padding: 5px 10px 5px 10px;
    border: 1px solid red;
    border-radius: 4px;
}
.comment__button:hover {
    opacity: 0.7;
}
</style>